Product updates

Developer Changelog

Keep track of changes and upgrades to the Zoom Developer platform. You can also subscribe to our Changelog RSS feed below.


Meetings

Add new fields to Meetings APIs, and add new fields to 17 webhook events

API release

Summary:Add new request and response fields to Meetings APIs, and add new fields to 17 webhook events

Enhancements

  • New support_participants_receive_summary response field in these Meetings APIs:
    • GET /v2/meetings/{meetingId}
    • GET /v2/accounts/{accountId}/meetings/{meetingId}
    • POST /v2/users/{userId}/meetings
    • POST /v2/accounts/{accountId}/users/{userId}/meetings
  • New support_participants_receive_summary request field in these Meetings APIs:
    • PATCH /v2/meetings/{meetingId}
    • PATCH /v2/accounts/{accountId}/meetings/{meetingId}
    • POST /v2/users/{userId}/meetings
    • POST /v2/accounts/{accountId}/users/{userId}/meetings
  • New sensitivity_label_downgrade_reason request field in these Meetings APIs:
    • PATCH /v2/meetings/{meetingId}
    • PATCH /v2/accounts/{accountId}/meetings/{meetingId}
  • New app_id request field in these In-Meeting Apps APIs:
    • DELETE /v2/meetings/{meetingId}/open_apps
    • POST /v2/meetings/{meetingId}/open_apps
  • New support_participants_receive_summary field in these Meetings webhook events:
    • meeting.updated
  • New custom_keys field in these Meetings webhook events:
    • meeting.participant_jbh_waiting
    • meeting.participant_phone_callout_failed
    • meeting.participant_phone_callout_ringing
    • meeting.participant_room_system_callout_failed
    • meeting.participant_room_system_callout_accepted
    • meeting.participant_phone_callout_missed
    • meeting.device_tested
    • meeting.participant_jbh_joined
    • meeting.participant_jbh_waiting_left
    • meeting.ended
    • meeting.started
    • meeting.participant_room_system_callout_missed
    • meeting.participant_phone_callout_rejected
    • meeting.participant_phone_callout_accepted
    • meeting.participant_room_system_callout_rejected
    • meeting.participant_room_system_callout_ringing